/**
 * Copyright (c) www.longdw.com
*/
package com.ldw.listview.view;

import com.ldw.listview.model.Item;
import com.ldw.listview.model.ItemView;
import com.ldw.listview.model.TextItem;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.TextView;

public class SeparatorItemView extends TextView implements ItemView {

	public SeparatorItemView(Context context) {
        this(context, null);
    }

    public SeparatorItemView(Context context, AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public SeparatorItemView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
    }

	@Override
	public void prepareItemView() {
	}

	@Override
	public void setObject(Item object) {
		TextItem item = (TextItem) object;
		setText(item.text);
	}

}
