package com.ldw.listview;

import java.util.ArrayList;
import java.util.List;

import com.ldw.listview.model.ContentItem;
import com.ldw.listview.model.Item;
import com.ldw.listview.model.SeparatorItem;

import android.app.Activity;
import android.app.ActionBar;
import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;
import android.os.Build;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		List<Item> list = new ArrayList<Item>();
		
//		list.add(new SeparatorItem("Label1"));
		list.add(new ContentItem(R.drawable.class1, "第一个item", "第一个item的内容"));
		
//		list.add(new SeparatorItem("Label2"));
		list.add(new ContentItem(R.drawable.class2, "第二个item", "第二个item的内容"));
		
		list.add(new SeparatorItem("Label3"));
		list.add(new ContentItem(R.drawable.class3, "第三个item", "第三个item的内容"));
		
		list.add(new SeparatorItem("Label4"));
		list.add(new ContentItem(R.drawable.class3, "第四个item", "第四个item的内容"));
		
//		list.add(new SeparatorItem("Label5"));
		list.add(new ContentItem(R.drawable.class3, "第五个item", "第五个item的内容"));
		
//		list.add(new SeparatorItem("Label6"));
		list.add(new ContentItem(R.drawable.class3, "第六个item", "第六个item的内容"));
		
//		list.add(new SeparatorItem("Label7"));
		list.add(new ContentItem(R.drawable.class3, "第七个item", "第七个item的内容"));
		
		list.add(new SeparatorItem("Label8"));
		list.add(new SeparatorItem("Label9"));
		list.add(new ContentItem(R.drawable.class3, "第八个item", "第八个item的内容"));
		
//		list.add(new SeparatorItem("Label9"));
		list.add(new ContentItem(R.drawable.class3, "第九个item", "第九个item的内容"));
		
//		list.add(new SeparatorItem("Label10"));
		list.add(new ContentItem(R.drawable.class3, "第十个item", "第十个item的内容"));
		
		ItemAdapter adapter = new ItemAdapter(this, list);
		
		ListView listview = (ListView) findViewById(R.id.listview);
		listview.setAdapter(adapter);

	}

}
