/**
 * Copyright (c) www.longdw.com
*/
package com.ldw.listview.model;

import com.ldw.listview.R;
import com.ldw.listview.R.layout;

import android.content.Context;
import android.view.ViewGroup;


public class SeparatorItem extends TextItem {
	
    public SeparatorItem() {
        this(null);
    }

    public SeparatorItem(String text) {
        super(text);
        enabled = false;
    }

    @Override
    public ItemView newView(Context context, ViewGroup parent) {
        return createCellFromXml(context, R.layout.separator_item_view, parent);
    }

}
